--- old/usr/src/common/smbios/smb_info.c	Thu Jul 11 07:10:46 2019
+++ new/usr/src/common/smbios/smb_info.c	Thu Jul 11 07:10:46 2019
@@ -21,7 +21,7 @@
 
 /*
  * Copyright 2015 OmniTI Computer Consulting, Inc.  All rights reserved.
- * Copyright (c) 2018, Joyent, Inc.
+ * Copyright 2019 Joyent, Inc.
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -698,7 +698,7 @@
     smbios_slot_peer_t **peerp)
 {
 	const smb_struct_t *stp = smb_lookup_id(shp, id);
-	const smb_slot_t *slotp = (const smb_slot_t *)stp->smbst_hdr;
+	const smb_slot_t *slotp;
 	smbios_slot_peer_t *peer;
 	size_t minlen;
 	uint_t i;
@@ -706,6 +706,8 @@
 	if (stp == NULL)
 		return (-1); /* errno is set for us */
 
+	slotp = (const smb_slot_t *)stp->smbst_hdr;
+
 	if (stp->smbst_hdr->smbh_type != SMB_TYPE_SLOT)
 		return (smb_set_errno(shp, ESMB_TYPE));
 
